Subject: bug#18757: 24.4; Intermittent screen flicker since upgrading to OS X 10.10

From: Emanuel Evans <[email-masked]>
Date: Fri, 17 Oct 2014 16:33:26 -0700

Emanuel Evans <[email-masked]> writes:

> Since upgrading to OS X 10.10 (Yosemite), I have been been experiencing
> intermittent screen flickering problems with Cocoa Emacs 24.4
> pre-test/RC1 (the issue did not occur in OS X 10.9 to my knowledge). In
> general, the screen flickers in the top middle portion when switching
> between windows or when switching buffers in a window (a video of the
> issue can be found at
> https://www.dropbox.com/s/9orcw95yru4p7jy/emacs-bug.mov?dl=0 ). I was
> able to reproduce using emacs -Q in a cocoa window; I don't have exact
> reproduction steps, since the bug seems quite non-deterministic, but
> with a combination of screen splitting, switching to full screen
> (although it is visible in non-full-screen mode as well), filling a
> buffer with text (to make the flicker more visible), and switching
> windows, the flicker becomes apparent.
>

Quick follow-up: this bug does *not* appear in Emacs 24.3 on OS X 10.10.